## plasmate 1.0

=== engineexplorer/CMakeLists.txt ===
set(plasmaengineexplorer_SRCS
    engineexplorer.cpp
    ktreeviewsearchline.cpp
    main.cpp
    serviceviewer.cpp
)

macro_optional_find_package(Soprano)
macro_log_feature(Soprano_FOUND "Soprano" "Semantic Desktop Storing" "http://soprano.sourceforge.net" FALSE "" "Adds support for the Soprano data type to Plasma Engine Explorer.")

if (Soprano_FOUND)
   include_directories( ${SOPRANO_INCLUDE_DIR} )
   add_definitions( -DFOUND_SOPRANO=1 )
endif (Soprano_FOUND)

kde4_add_ui_files(plasmaengineexplorer_SRCS engineexplorer.ui serviceviewer.ui)
kde4_add_executable(plasmaengineexplorer ${plasmaengineexplorer_SRCS})

target_link_libraries(plasmaengineexplorer ${KDE4_PLASMA_LIBS} ${KDE4_KIO_LIBS})

if (Soprano_FOUND)
   target_link_libraries(plasmaengineexplorer ${SOPRANO_LIBRARIES})
endif (Soprano_FOUND)

install(TARGETS plasmaengineexplorer ${INSTALL_TARGETS_DEFAULT_ARGS})

kde4_create_manpage(man-plasmaengineexplorer.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})

=== plasmate/CMakeLists.txt ===
# Find needed packages
set(LIBATTICA_MIN_VERSION "0.1.4")
find_package(LibAttica REQUIRED)
macro_log_feature(LIBATTICA_FOUND "libattica" "A library to access Open Collaboration Service providers" "http://websvn.kde.org/trunk/kdesupport/attica/" TRUE "${LIBATTICA_MIN_VERSION}" "Required uploading and downloading plasmoids using Get Hot New Stuff.")

# No need to find(Qt4), since QT4_FOUND it's already set by finding kde4
macro_log_feature(QT_QTWEBKIT_FOUND "QtWebKit" "Opensource web browser engine" "http://trac.webkit.org/wiki/QtWebKit" TRUE "" "Needed to display the online API and documentation.")

find_package(QGpgme REQUIRED) # Maybe check for GPGME_PTHREAD_FOUND ?
find_package(KdepimLibs REQUIRED)

# Find optional executables
find_program(GIT_EXECUTABLE_FOUND git)
macro_log_feature(GIT_EXECUTABLE_FOUND "Git" "Distributed Revision Control System" "http://git-scm.com/" FALSE "" "Runtime dependency needed to use the TimeLine feature.")

string(TOLOWER ${CMAKE_BUILD_TYPE} CMAKE_BUILD_TYPE_TOLOWER)
if(CMAKE_BUILD_TYPE_TOLOWER MATCHES debugfull)
   add_definitions(-DDEBUG_MODEL)
   set (DEBUG_MODEL 1)
endif()

set (PlasMate_SRC
    editors/editpage.cpp
    editors/metadata/metadataeditor.cpp
    editors/imageviewer/imageloader.cpp
    editors/imageviewer/imageviewer.cpp
    editors/text/texteditor.cpp
    editors/kconfigxt/kconfigxteditor.cpp
    editors/kconfigxt/kconfigxtreader.cpp
    editors/kconfigxt/kconfigxtwriter.cpp
    main.cpp
    sidebaritem.cpp
    sidebardelegate.cpp
    sidebartablewidget.cpp
    sidebar.cpp
    savesystem/dvcsjob.cpp
    savesystem/gitrunner.cpp
    savesystem/commitdialog.cpp
    savesystem/timelineitem.cpp
    savesystem/tabledelegate.cpp
    savesystem/tablewidget.cpp
    savesystem/timeline.cpp
    mainwindow.cpp
    startpage.cpp
    packagemodel.cpp
    previewer/plasmoid/plasmoidpreviewer.cpp
    previewer/plasmoid/plasmoidview.cpp
    previewer/runner/runnerpreviewer.cpp
    previewer/windowswitcher/windowswitcher.cpp
    previewer/windowswitcher/thumbnailitem.cpp
    previewer/windowswitcher/tabboxpreviewer.cpp
    previewer/previewer.cpp
    publisher/signingwidget.cpp
    publisher/signingdialog.cpp
    publisher/publisher.cpp
    publisher/remoteinstaller/remoteinstaller.cpp
    publisher/remoteinstaller/remoteinstallerdialog.cpp
    konsole/konsolepreviewer.cpp
    docbrowser/docbrowser.cpp
    projectmanager/projectmanager.cpp
)

if (DEBUG_MODEL)
      set (PlasMate_SRC
         ${PlasMate_SRC}
         modeltest/dynamictreemodel.cpp
         modeltest/modeltest.cpp
         )
endif (DEBUG_MODEL)

kde4_add_ui_files (PlasMate_SRC
   startpage.ui
   editors/metadata/metadata.ui
   publisher/publisher.ui
   publisher/remoteinstaller/remoteinstaller.ui
   editors/kconfigxt/kconfigxteditor.ui
)

include_directories(${QT_QTWEBKIT_INCLUDE_DIR}
                    ${QGPGME_INCLUDE_DIR}
                    ${GPGME_INCLUDES}
)

add_subdirectory( editors )
add_subdirectory( previewer/plasmoid )
add_subdirectory( templates )
add_subdirectory( icons )

kde4_add_executable(plasmate ${PlasMate_SRC})
target_link_libraries(plasmate
                      ${KDE4_KDEUI_LIBS}
                      ${KDE4_KTEXTEDITOR_LIBS}
                      ${KDE4_KPARTS_LIBS}
                      ${KDE4_KIO_LIBRARY}
                      ${KDE4_PLASMA_LIBS}
                      ${KDE4_KNEWSTUFF3_LIBRARY}
                      ${QT_QTWEBKIT_LIBRARY}
                      ${QT_QTXML_LIBRARY}
                      ${LIBATTICA_LIBRARY_DIRS}
                      ${QGPGME_LIBRARIES}
                      ${QT_QTDECLARATIVE_LIBRARIES}
                      ${KDECLARATIVE_LIBRARIES}
                      ${KDEPIMLIBS_KPIMUTILS_LIBS}
)

if (DEBUG_MODEL)
   target_link_libraries(plasmate ${QT_QTTEST_LIBRARY})
endif (DEBUG_MODEL)

install(TARGETS plasmate ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS plasmate.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES plasmateui.rc  DESTINATION ${DATA_INSTALL_DIR}/plasmate)
install(FILES plasmate.knsrc DESTINATION ${CONFIG_INSTALL_DIR})

install( FILES previewer/windowswitcher/thumbnails/konqueror.png
previewer/windowswitcher/thumbnails/kmail.png
previewer/windowswitcher/thumbnails/systemsettings.png
previewer/windowswitcher/thumbnails/dolphin.png
DESTINATION ${DATA_INSTALL_DIR}/plasmate)
install( FILES previewer/windowswitcher/tabboxdelegate.qml DESTINATION ${DATA_INSTALL_DIR}/plasmate)

##standalone applications
#plasmaremoteinstaller
set (PlasmaRemoteInstaller_SRC
    publisher/remoteinstaller/remoteinstallerdialog.cpp
    publisher/remoteinstaller/remoteinstaller.cpp
    publisher/remoteinstaller/standalone/main.cpp
    publisher/remoteinstaller/standalone/plasmaremoteinstaller.cpp
)

kde4_add_ui_files (PlasmaRemoteInstaller_SRC
   publisher/remoteinstaller/remoteinstaller.ui
)

kde4_add_executable(plasmaremoteinstaller ${PlasmaRemoteInstaller_SRC})
target_link_libraries(plasmaremoteinstaller
                      ${KDE4_KDEUI_LIBS}
                      ${KDE4_KIO_LIBRARY}
)

install(TARGETS plasmaremoteinstaller ${INSTALL_TARGETS_DEFAULT_ARGS})

#kwin-windowswitcherpreviewer
set (KWin-WindowSwitcherPreviewer_SRC
    previewer/windowswitcher/windowswitcher.cpp
    previewer/windowswitcher/thumbnailitem.cpp
    previewer/windowswitcher/tabboxpreviewer.cpp
    previewer/previewer.cpp
    previewer/windowswitcher/standalone/main.cpp
    previewer/windowswitcher/standalone/windowswitcherpreviewer.cpp
)

kde4_add_executable(kwin-windowswitcherpreviewer ${KWin-WindowSwitcherPreviewer_SRC})
target_link_libraries(kwin-windowswitcherpreviewer
                      ${KDE4_KDEUI_LIBS}
                      ${KDE4_KIO_LIBRARY}
                      ${QT_QTDECLARATIVE_LIBRARIES}
                      ${KDECLARATIVE_LIBRARIES}
)

install(TARGETS kwin-windowswitcherpreviewer ${INSTALL_TARGETS_DEFAULT_ARGS})

#plasmakconfigxteditor
set(plasmakconfigxt_SRCS
     editors/kconfigxt/kconfigxteditor.cpp
     editors/kconfigxt/kconfigxtreader.cpp
     editors/kconfigxt/kconfigxtwriter.cpp
     editors/kconfigxt/standalone/plasmakconfigxteditor.cpp
     editors/kconfigxt/standalone/main.cpp
)

kde4_add_ui_files (plasmakconfigxt_SRCS
    editors/kconfigxt/kconfigxteditor.ui
)

kde4_add_executable(plasmakconfigxteditor ${plasmakconfigxt_SRCS})
target_link_libraries(plasmakconfigxteditor
                        ${KDE4_KDEUI_LIBS}
                        ${KDE4_KIO_LIBRARY}
                        ${QT_QTXML_LIBRARY}
)

install(TARGETS plasmakconfigxteditor ${INSTALL_TARGETS_DEFAULT_ARGS})

macro_display_feature_log()

=== plasmoidviewer/CMakeLists.txt ===
set(plasmoidviewer_SRCS
    fullview.cpp
    main.cpp
)

kde4_add_executable(plasmoidviewer ${plasmoidviewer_SRCS})

target_link_libraries(plasmoidviewer
    ${KDE4_KDEUI_LIBS}
    ${KDE4_PLASMA_LIBS}
    ${KDECLARATIVE_LIBRARIES}
    ${QT_QTDECLARATIVE_LIBRARY}
)

install(TARGETS plasmoidviewer ${INSTALL_TARGETS_DEFAULT_ARGS})

kde4_create_manpage(man-plasmoidviewer.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})

=== remote-widgets-browser/CMakeLists.txt ===
set(plasma-remote_widgets_browser_SRCS
    main.cpp
    plasmafiltermodel.cpp
)

qt4_add_resources(plasma-remote_widgets_browser_SRCS resources.qrc)

kde4_add_executable(plasma-remote-widgets-browser ${plasma-remote_widgets_browser_SRCS})
target_link_libraries(plasma-remote-widgets-browser ${KDE4_PLASMA_LIBS} ${KDE4_KIO_LIBS} ${KDECLARATIVE_LIBRARIES} ${QT_QTDECLARATIVE_LIBRARY})

install(TARGETS plasma-remote-widgets-browser ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plasmate/editors/CMakeLists.txt ===
add_subdirectory( metadata )
add_subdirectory( svg )

=== plasmate/templates/CMakeLists.txt ===
install(FILES
  mainRunner.py
  mainDataEngine.py
  mainDataEngine.rb
  mainPlasmoid.js
  mainPlasmoid.py
  mainPlasmoid.qml
  mainPlasmoid.rb
  mainTabbox.qml
  mainKWinScript.js
  mainKWinEffect.js
  DESTINATION ${DATA_INSTALL_DIR}/plasmate/templates)

=== plasmate/editors/metadata/CMakeLists.txt ===
project( plasmate-metadata-editor )

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

set(metadata_editor_SRCS
    metadataeditor.cpp)

kde4_add_ui_files (metadata_editor_SRCS
   metadata.ui
)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(${KDE4_INCLUDES} ../..)

kde4_add_plugin(plasmate_metadata_editor ${metadata_editor_SRCS})
target_link_libraries(plasmate_metadata_editor ${KDE4_PLASMA_LIBS} ${KDE4_KIO_LIBS})

set( testmetadata_SRCS tests/test_metadata.cpp
     		       metadataeditor.cpp
      )

kde4_add_ui_files (testmetadata_SRCS
   metadata.ui
)

kde4_add_executable( testmetadata TEST ${testmetadata_SRCS})
target_link_libraries( testmetadata ${KDE4_KIO_LIBS} ${KDE4_PLASMA_LIBS} )

=== plasmate/editors/svg/CMakeLists.txt ===
project( plasmate-svg-editor )

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

set(svg_viewer_SRCS
    svgviewer.cpp)

#kde4_add_ui_files (svg_viewer_SRCS
#   svg.ui
#)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(${KDE4_INCLUDES} ../..)

kde4_add_plugin(plasmate_svg_viewer ${svg_viewer_SRCS})
target_link_libraries(plasmate_svg_viewer ${KDE4_PLASMA_LIBS} ${KDE4_KIO_LIBS})

set( testsvg_SRCS tests/test_svg.cpp
     		       svgviewer.cpp
      )

#kde4_add_ui_files (testsvg_SRCS
#   svg.ui
#)

kde4_add_executable( testsvg TEST ${testsvg_SRCS})
target_link_libraries( testsvg ${KDE4_KDEUI_LIBS} ${KDE4_PLASMA_LIBS} )

=== plasmate/previewer/plasmoid/CMakeLists.txt ===
set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(containment_SRCS
    previewcontainment.cpp
)

add_subdirectory(test)

kde4_add_plugin(plasma_containment_studiopreviewer ${containment_SRCS})
target_link_libraries(plasma_containment_studiopreviewer ${KDE4_KDEUI_LIBS} ${KDE4_PLASMA_LIBS})

install(TARGETS plasma_containment_studiopreviewer DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-containment-studiopreviewer.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plasmate/savesystem/test/CMakeLists.txt ===
project(timeline_test)

find_package(KDE4)


include(KDE4Defaults)

set (gitrunner_test_SRC
    ../dvcsjob.cpp
    ../gitrunner.cpp
    ../commitdialog.cpp
    ../branchdialog.cpp
    ../timelineitem.cpp
    ../tabledelegate.cpp
    ../tablewidget.cpp
    ../timeline.cpp
    main.cpp
    )

include_directories (${KDE4_INCLUDES})


kde4_add_executable (timeline_test ${gitrunner_test_SRC})

# Check for unused/redundant link libraries =P
target_link_libraries (timeline_test ${KDE4_KDEUI_LIBS}
    ${KDE4_PLASMA_LIBS}
    )

=== debian/changelog ===
plasmate (1.0-0ubuntu4) utopic; urgency=high

  * Rebuild against boost1.55

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 03 May 2014 22:14:50 +0100

plasmate (1.0-0ubuntu3) trusty; urgency=low

  * ... Actually bump to boost1.54.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Fri, 25 Oct 2013 12:24:33 +0100

plasmate (1.0-0ubuntu2) trusty; urgency=low

  * Bump to boost1.54.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Fri, 25 Oct 2013 02:20:52 +0100

plasmate (1.0-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 07 Mar 2013 18:26:02 +0000

plasmate (1.0~beta1-0ubuntu1) raring; urgency=low

  * Initial release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 12 Feb 2013 14:58:02 +0530

=== debian/control ===
Source: plasmate
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Rohan Garg <rohangarg@kubuntu.org>
Build-Depends: debhelper (>= 8.0.0), cmake, pkg-kde-tools,
 kdelibs5-dev, kdepimlibs5-dev, libboost1.55-dev, libgpgme11-dev,
 libattica-dev, libqtwebkit-dev
Standards-Version: 3.9.4
Homepage: http://projects.kde.org/plasmate
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/plasmate
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/plasmate

Package: plasmate
Architecture: any
Depends: plasmate-data, ${shlibs:Depends}, ${misc:Depends}
Suggests: git
Description: IDE tailored for development of Plasma components
 A small IDE tailored for development of Plasma components,
 such as Widgets, Runners, Dataengines.

Package: plasmate-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IDE tailored for development of Plasma components
 A small IDE tailored for development of Plasma components,
 such as Widgets, Runners, Dataengines.
 .
 Architecture independent files for plasmate
